OCamllabs icon Home|Differences with the last checks|Previous runs


Building on doris.ocamllabs.io

(from ocaml/opam:debian-unstable@sha256:ca0a0544477c6a9a763f100587b518646c93ce73d78874d823b27e8f935bb951)
Unable to find image 'ocaml/opam:debian-unstable@sha256:ca0a0544477c6a9a763f100587b518646c93ce73d78874d823b27e8f935bb951' locally
docker.io/ocaml/opam@sha256:ca0a0544477c6a9a763f100587b518646c93ce73d78874d823b27e8f935bb951: Pulling from ocaml/opam
4ab10c654db5: Pulling fs layer
4ab10c654db5: Verifying Checksum
4ab10c654db5: Download complete
4ab10c654db5: Pull complete
Digest: sha256:ca0a0544477c6a9a763f100587b518646c93ce73d78874d823b27e8f935bb951
Status: Downloaded newer image for ocaml/opam@sha256:ca0a0544477c6a9a763f100587b518646c93ce73d78874d823b27e8f935bb951
2023-01-16 12:15.24 ---> using "94874f478e26ede84037b9b3ffc4aac7c83b2542bbac8788a2cc7da937a47054" from cache

/: (user (uid 1000) (gid 1000))

/: (env OPAMPRECISETRACKING 1)

/: (env OPAMUTF8 never)

/: (env OPAMEXTERNALSOLVER builtin-0install)

/: (env OPAMCRITERIA +removed)

/: (run (shell "sudo ln -f /usr/bin/opam-dev /usr/bin/opam"))
2023-01-16 12:15.24 ---> using "e2ed8ca10c7e97a3eeacb1721604176c2efe0af3ca6e435d47ef0dd2f6bd15ce" from cache

/: (run (network host)
        (shell "rm -rf ~/opam-repository && git clone -q 'https://github.com/ocaml/opam-repository' ~/opam-repository && git -C ~/opam-repository checkout -q e0171a799fbb4458db77a10f76a6279727aac521"))
2023-01-16 12:15.24 ---> using "3864620b78a5bfd4a34825831d954f85d91d614ee4f51a2a653199fcbdb63f63" from cache

/: (run (shell "rm -rf ~/.opam && opam init -ya --bare --config ~/.opamrc-sandbox ~/opam-repository"))
Configuring from /home/opam/.opamrc-sandbox, then /home/opam/.opamrc, and finally from built-in defaults.
Checking for available remotes: rsync and local, git.
  - you won't be able to use mercurial repositories unless you install the hg command on your system.
  - you won't be able to use darcs repositories unless you install the darcs command on your system.


<><> Fetching repository information ><><><><><><><><><><><><><><><><><><><><><>
[default] Initialised

User configuration:
  ~/.profile is already up-to-date.
[NOTE] Make sure that ~/.profile is well sourced in your ~/.bashrc.

2023-01-16 12:15.24 ---> using "4e975791caadc63ea7aadc58806396bb379155c55894dc8ed37de19ce13ba00b" from cache

/: (run (cache (opam-archives (target /home/opam/.opam/download-cache)))
        (network host)
        (shell "opam switch create --repositories=default '5.0' '5.0.0'"))

<><> Installing new switch packages <><><><><><><><><><><><><><><><><><><><><><>
Switch invariant: ["ocaml-base-compiler" {= "5.0.0"} | "ocaml-system" {= "5.0.0"}]

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> installed base-bigarray.base
-> installed base-threads.base
-> installed base-unix.base
-> installed ocaml-options-vanilla.1
-> retrieved ocaml-base-compiler.5.0.0  (https://github.com/ocaml/ocaml/archive/5.0.0.tar.gz)
-> installed ocaml-base-compiler.5.0.0
-> installed ocaml-config.3
-> installed ocaml.5.0.0
-> installed base-domains.base
-> installed base-nnp.base
Done.
# Run eval $(opam env --switch=5.0) to update the current shell environment
2023-01-16 12:15.24 ---> using "d00bd6111bcc7bfb80cb7407a305822679b1cb42e3eb5e8a313e5eb0ed0cbf78" from cache

/: (run (network host)
        (shell "opam update --depexts"))
+ /usr/bin/sudo "apt-get" "update"
- Get:1 http://deb.debian.org/debian unstable InRelease [161 kB]
- Get:2 http://deb.debian.org/debian unstable/main amd64 Packages.diff/Index [63.6 kB]
- Get:3 http://deb.debian.org/debian unstable/main amd64 Packages T-2023-01-14-0804.37-F-2023-01-13-2043.11.pdiff [63.8 kB]
- Get:3 http://deb.debian.org/debian unstable/main amd64 Packages T-2023-01-14-0804.37-F-2023-01-13-2043.11.pdiff [63.8 kB]
- Fetched 289 kB in 1s (219 kB/s)
- Reading package lists...
2023-01-16 12:15.24 ---> using "a08682658167043f70f945221834c660401f09f885801a279c21b53ebc1b17c3" from cache

/: (run (cache (opam-archives (target /home/opam/.opam/download-cache)))
        (network host)
        (shell  "\
               \nopam remove -y \"OCanren-ppx.0.3.0\"\
               \nopam install -vy \"OCanren-ppx.0.3.0\"\
               \nres=$?\
               \nif [ $res = 31 ]; then\
               \n    if opam show -f x-ci-accept-failures: \"OCanren-ppx.0.3.0\" | grep -q '\"debian-unstable\"'; then\
               \n        echo \"This package failed and has been disabled for CI using the 'x-ci-accept-failures' field.\"\
               \n        exit 69\
               \n    fi\
               \nfi\
               \n\
               \n\
               \nexit $res\
               \n"))
Nothing to do.
[NOTE] OCanren-ppx.0.3.0 is not installed.

The following actions will be performed:
=== install 27 packages
  - install base                v0.15.1 [required by OCanren-ppx]
  - install csexp               1.5.1   [required by dune-configurator]
  - install dune                3.6.1   [required by OCanren-ppx]
  - install dune-configurator   3.6.1   [required by OCanren-ppx]
  - install jane-street-headers v0.15.0 [required by time_now]
  - install jst-config          v0.15.1 [required by time_now]
  - install OCanren-ppx         0.3.0
  - install ocaml-compiler-libs v0.12.4 [required by ppxlib]
  - install ppx_assert          v0.15.0 [required by jst-config]
  - install ppx_base            v0.15.0 [required by time_now]
  - install ppx_cold            v0.15.0 [required by ppx_base]
  - install ppx_compare         v0.15.0 [required by ppx_base]
  - install ppx_derivers        1.2.1   [required by ppxlib]
  - install ppx_enumerate       v0.15.0 [required by ppx_base]
  - install ppx_expect          v0.15.1 [required by OCanren-ppx]
  - install ppx_hash            v0.15.0 [required by ppx_base]
  - install ppx_here            v0.15.0 [required by ppx_expect]
  - install ppx_inline_test     v0.15.0 [required by OCanren-ppx]
  - install ppx_optcomp         v0.15.0 [required by time_now]
  - install ppx_sexp_conv       v0.15.1 [required by ppx_base]
  - install ppxlib              0.28.0  [required by OCanren-ppx]
  - install re                  1.10.4  [required by ppx_expect]
  - install seq                 base    [required by re]
  - install sexplib0            v0.15.1 [required by base]
  - install stdio               v0.15.0 [required by ppx_expect]
  - install stdlib-shims        0.3.0   [required by ppxlib]
  - install time_now            v0.15.0 [required by ppx_inline_test]

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
Processing  1/80:
Processing  2/80:
Processing  3/80:
-> retrieved csexp.1.5.1  (cached)
Processing  4/80:
-> retrieved jane-street-headers.v0.15.0  (cached)
Processing  5/80:
-> retrieved base.v0.15.1  (cached)
Processing  6/80:
-> retrieved jst-config.v0.15.1  (cached)
Processing  7/80:
-> retrieved ocaml-compiler-libs.v0.12.4  (cached)
Processing  8/80:
-> retrieved ppx_assert.v0.15.0  (cached)
Processing  9/80:
-> retrieved OCanren-ppx.0.3.0  (cached)
Processing 10/80:
-> retrieved dune.3.6.1, dune-configurator.3.6.1  (cached)
Processing 11/80:
Processing 12/80: [dune: ocaml 255]
-> retrieved ppx_base.v0.15.0  (cached)
Processing 13/80: [dune: ocaml 255]
-> retrieved ppx_cold.v0.15.0  (cached)
Processing 14/80: [dune: ocaml 255]
-> retrieved ppx_compare.v0.15.0  (cached)
Processing 15/80: [dune: ocaml 255]
-> retrieved ppx_derivers.1.2.1  (cached)
Processing 16/80: [dune: ocaml 255]
-> retrieved ppx_enumerate.v0.15.0  (cached)
Processing 17/80: [dune: ocaml 255]
-> retrieved ppx_expect.v0.15.1  (cached)
Processing 18/80: [dune: ocaml 255]
-> retrieved ppx_hash.v0.15.0  (cached)
Processing 19/80: [dune: ocaml 255]
-> retrieved ppx_here.v0.15.0  (cached)
Processing 20/80: [dune: ocaml 255]
-> retrieved ppx_inline_test.v0.15.0  (cached)
Processing 21/80: [dune: ocaml 255]
-> retrieved ppx_optcomp.v0.15.0  (cached)
Processing 22/80: [dune: ocaml 255]
-> retrieved ppx_sexp_conv.v0.15.1  (cached)
Processing 23/80: [dune: ocaml 255]
Processing 24/80: [dune: ocaml 255]
Processing 25/80: [dune: ocaml 255]
-> installed seq.base
Processing 26/80: [dune: ocaml 255]
-> retrieved re.1.10.4  (cached)
Processing 27/80: [dune: ocaml 255]
-> retrieved sexplib0.v0.15.1  (cached)
Processing 28/80: [dune: ocaml 255]
-> retrieved ppxlib.0.28.0  (cached)
Processing 29/80: [dune: ocaml 255]
-> retrieved stdio.v0.15.0  (cached)
-> retrieved stdlib-shims.0.3.0  (cached)
-> retrieved time_now.v0.15.0  (cached)
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "ocaml" "boot/bootstrap.ml" "-j" "255" (CWD=/home/opam/.opam/5.0/.opam-switch/build/dune.3.6.1)
- ocamlc -output-complete-exe -w -24 -g -o .duneboot.exe -I boot -I +unix unix.cma boot/libs.ml boot/duneboot.ml
- ./.duneboot.exe -j 255
- cd _boot && /home/opam/.opam/5.0/bin/ocamlopt.opt -c -g -no-alias-deps -w -49-6 -alert -unstable -I +unix -I +threads build_path_prefix_map.ml
- File "vendor/build_path_prefix_map/src/build_path_prefix_map.ml", line 5, characters 17-31:
- Alert deprecated: Stdlib.Printf.kprintf
- Use Printf.ksprintf instead.
- cd _boot && /home/opam/.opam/5.0/bin/ocamlopt.opt -c -g -no-alias-deps -w -49-6 -alert -unstable -I +unix -I +threads opamLexer.ml
- File "vendor/opam-file-format/src/opamLexer.mll", line 21, characters 2-16:
- Alert deprecated: Stdlib.Printf.kprintf
- Use Printf.ksprintf instead.
- 

Processing 29/80: [dune: ./_boot/dune.exe build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "./_boot/dune.exe" "build" "dune.install" "--release" "--profile" "dune-bootstrap" "-j" "255" (CWD=/home/opam/.opam/5.0/.opam-switch/build/dune.3.6.1)
-> compiled  dune.3.6.1
-> installed dune.3.6.1
Processing 31/80: [csexp: dune build]
Processing 32/80: [csexp: dune build] [jane-street-headers: dune build]
Processing 33/80: [csexp: dune build] [jane-street-headers: dune build] [ocaml-compiler-libs: dune build]
Processing 34/80: [csexp: dune build] [jane-street-headers: dune build] [ocaml-compiler-libs: dune build] [ppx_derivers: dune build]
Processing 35/80: [csexp: dune build] [jane-street-headers: dune build] [ocaml-compiler-libs: dune build] [ppx_derivers: dune build] [re: dune build]
Processing 36/80: [csexp: dune build] [jane-street-headers: dune build] [ocaml-compiler-libs: dune build] [ppx_derivers: dune build] [re: dune build] [sexplib0: dune build]
Processing 37/80: [csexp: dune build] [jane-street-headers: dune build] [ocaml-compiler-libs: dune build] [ppx_derivers: dune build] [re: dune build] [sexplib0: dune build] [stdlib-shims: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "jane-street-headers" "-j" "255" (CWD=/home/opam/.opam/5.0/.opam-switch/build/jane-street-headers.v0.15.0)
-> compiled  jane-street-headers.v0.15.0
Processing 37/80: [csexp: dune build] [ocaml-compiler-libs: dune build] [ppx_derivers: dune build] [re: dune build] [sexplib0: dune build] [stdlib-shims: dune build]
-> installed jane-street-headers.v0.15.0
Processing 38/80: [csexp: dune build] [ocaml-compiler-libs: dune build] [ppx_derivers: dune build] [re: dune build] [sexplib0: dune build] [stdlib-shims: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ppx_derivers" "-j" "255" (CWD=/home/opam/.opam/5.0/.opam-switch/build/ppx_derivers.1.2.1)
-> compiled  ppx_derivers.1.2.1
Processing 38/80: [csexp: dune build] [ocaml-compiler-libs: dune build] [re: dune build] [sexplib0: dune build] [stdlib-shims: dune build]
-> installed ppx_derivers.1.2.1
Processing 39/80: [csexp: dune build] [ocaml-compiler-libs: dune build] [re: dune build] [sexplib0: dune build] [stdlib-shims: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "csexp" "-j" "255" "@install" (CWD=/home/opam/.opam/5.0/.opam-switch/build/csexp.1.5.1)
-> compiled  csexp.1.5.1
Processing 39/80: [ocaml-compiler-libs: dune build] [re: dune build] [sexplib0: dune build] [stdlib-shims: dune build]
-> installed csexp.1.5.1
Processing 40/80: [ocaml-compiler-libs: dune build] [re: dune build] [sexplib0: dune build] [stdlib-shims: dune build]
Processing 41/80: [dune-configurator: rm] [ocaml-compiler-libs: dune build] [re: dune build] [sexplib0: dune build] [stdlib-shims: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "sexplib0" "-j" "255" (CWD=/home/opam/.opam/5.0/.opam-switch/build/sexplib0.v0.15.1)
-> compiled  sexplib0.v0.15.1
Processing 41/80: [dune-configurator: rm] [ocaml-compiler-libs: dune build] [re: dune build] [stdlib-shims: dune build]
-> installed sexplib0.v0.15.1
Processing 42/80: [dune-configurator: rm] [ocaml-compiler-libs: dune build] [re: dune build] [stdlib-shims: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "stdlib-shims" "-j" "255" (CWD=/home/opam/.opam/5.0/.opam-switch/build/stdlib-shims.0.3.0)
-> compiled  stdlib-shims.0.3.0
Processing 42/80: [dune-configurator: rm] [ocaml-compiler-libs: dune build] [re: dune build]
-> installed stdlib-shims.0.3.0
Processing 43/80: [dune-configurator: rm] [ocaml-compiler-libs: dune build] [re: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "rm" "-rf" "vendor/csexp" (CWD=/home/opam/.opam/5.0/.opam-switch/build/dune-configurator.3.6.1)
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "rm" "-rf" "vendor/pp" (CWD=/home/opam/.opam/5.0/.opam-switch/build/dune-configurator.3.6.1)
Processing 43/80: [dune-configurator: dune build] [ocaml-compiler-libs: dune build] [re: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "re" "-j" "255" (CWD=/home/opam/.opam/5.0/.opam-switch/build/re.1.10.4)
-> compiled  re.1.10.4
Processing 43/80: [dune-configurator: dune build] [ocaml-compiler-libs: dune build]
-> installed re.1.10.4
Processing 44/80: [dune-configurator: dune build] [ocaml-compiler-libs: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ocaml-compiler-libs" "-j" "255" "@install" (CWD=/home/opam/.opam/5.0/.opam-switch/build/ocaml-compiler-libs.v0.12.4)
-> compiled  ocaml-compiler-libs.v0.12.4
Processing 44/80: [dune-configurator: dune build]
-> installed ocaml-compiler-libs.v0.12.4
Processing 45/80: [dune-configurator: dune build]
Processing 46/80: [dune-configurator: dune build] [ppxlib: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "dune-configurator" "-j" "255" "@install" (CWD=/home/opam/.opam/5.0/.opam-switch/build/dune-configurator.3.6.1)
-> compiled  dune-configurator.3.6.1
Processing 46/80: [ppxlib: dune build]
-> installed dune-configurator.3.6.1
Processing 47/80: [ppxlib: dune build]
Processing 48/80: [base: dune build] [ppxlib: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "base" "-j" "255" (CWD=/home/opam/.opam/5.0/.opam-switch/build/base.v0.15.1)
-> compiled  base.v0.15.1
Processing 48/80: [ppxlib: dune build]
-> installed base.v0.15.1
Processing 49/80: [ppxlib: dune build]
Processing 50/80: [ppxlib: dune build] [stdio: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "stdio" "-j" "255" (CWD=/home/opam/.opam/5.0/.opam-switch/build/stdio.v0.15.0)
-> compiled  stdio.v0.15.0
Processing 50/80: [ppxlib: dune build]
-> installed stdio.v0.15.0
Processing 51/80: [ppxlib: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ppxlib" "-j" "255" "@install" (CWD=/home/opam/.opam/5.0/.opam-switch/build/ppxlib.0.28.0)
-> compiled  ppxlib.0.28.0
-> installed ppxlib.0.28.0
Processing 53/80: [ppx_cold: dune build]
Processing 54/80: [ppx_cold: dune build] [ppx_compare: dune build]
Processing 55/80: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_enumerate: dune build]
Processing 56/80: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_enumerate: dune build] [ppx_here: dune build]
Processing 57/80: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_enumerate: dune build] [ppx_here: dune build] [ppx_optcomp: dune build]
Processing 58/80: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_enumerate: dune build] [ppx_here: dune build] [ppx_optcomp: dune build] [ppx_sexp_conv: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ppx_optcomp" "-j" "255" (CWD=/home/opam/.opam/5.0/.opam-switch/build/ppx_optcomp.v0.15.0)
-> compiled  ppx_optcomp.v0.15.0
Processing 58/80: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_enumerate: dune build] [ppx_here: dune build] [ppx_sexp_conv: dune build]
-> installed ppx_optcomp.v0.15.0
Processing 59/80: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_enumerate: dune build] [ppx_here: dune build] [ppx_sexp_conv: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ppx_enumerate" "-j" "255" (CWD=/home/opam/.opam/5.0/.opam-switch/build/ppx_enumerate.v0.15.0)
-> compiled  ppx_enumerate.v0.15.0
Processing 59/80: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_here: dune build] [ppx_sexp_conv: dune build]
-> installed ppx_enumerate.v0.15.0
Processing 60/80: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_here: dune build] [ppx_sexp_conv: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ppx_here" "-j" "255" (CWD=/home/opam/.opam/5.0/.opam-switch/build/ppx_here.v0.15.0)
-> compiled  ppx_here.v0.15.0
Processing 60/80: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_sexp_conv: dune build]
-> installed ppx_here.v0.15.0
Processing 61/80: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_sexp_conv: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ppx_cold" "-j" "255" (CWD=/home/opam/.opam/5.0/.opam-switch/build/ppx_cold.v0.15.0)
-> compiled  ppx_cold.v0.15.0
Processing 61/80: [ppx_compare: dune build] [ppx_sexp_conv: dune build]
-> installed ppx_cold.v0.15.0
Processing 62/80: [ppx_compare: dune build] [ppx_sexp_conv: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ppx_compare" "-j" "255" (CWD=/home/opam/.opam/5.0/.opam-switch/build/ppx_compare.v0.15.0)
-> compiled  ppx_compare.v0.15.0
Processing 62/80: [ppx_sexp_conv: dune build]
-> installed ppx_compare.v0.15.0
Processing 63/80: [ppx_sexp_conv: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ppx_sexp_conv" "-j" "255" (CWD=/home/opam/.opam/5.0/.opam-switch/build/ppx_sexp_conv.v0.15.1)
-> compiled  ppx_sexp_conv.v0.15.1
-> installed ppx_sexp_conv.v0.15.1
Processing 65/80: [ppx_assert: dune build]
Processing 66/80: [ppx_assert: dune build] [ppx_hash: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ppx_hash" "-j" "255" (CWD=/home/opam/.opam/5.0/.opam-switch/build/ppx_hash.v0.15.0)
-> compiled  ppx_hash.v0.15.0
Processing 66/80: [ppx_assert: dune build]
-> installed ppx_hash.v0.15.0
Processing 67/80: [ppx_assert: dune build]
Processing 68/80: [ppx_assert: dune build] [ppx_base: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ppx_assert" "-j" "255" (CWD=/home/opam/.opam/5.0/.opam-switch/build/ppx_assert.v0.15.0)
-> compiled  ppx_assert.v0.15.0
Processing 68/80: [ppx_base: dune build]
-> installed ppx_assert.v0.15.0
Processing 69/80: [ppx_base: dune build]
Processing 70/80: [jst-config: dune build] [ppx_base: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ppx_base" "-j" "255" (CWD=/home/opam/.opam/5.0/.opam-switch/build/ppx_base.v0.15.0)
-> compiled  ppx_base.v0.15.0
Processing 70/80: [jst-config: dune build]
-> installed ppx_base.v0.15.0
Processing 71/80: [jst-config: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "jst-config" "-j" "255" (CWD=/home/opam/.opam/5.0/.opam-switch/build/jst-config.v0.15.1)
-> compiled  jst-config.v0.15.1
-> installed jst-config.v0.15.1
Processing 73/80: [time_now: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "time_now" "-j" "255" (CWD=/home/opam/.opam/5.0/.opam-switch/build/time_now.v0.15.0)
-> compiled  time_now.v0.15.0
-> installed time_now.v0.15.0
Processing 75/80: [ppx_inline_test: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ppx_inline_test" "-j" "255" (CWD=/home/opam/.opam/5.0/.opam-switch/build/ppx_inline_test.v0.15.0)
-> compiled  ppx_inline_test.v0.15.0
-> installed ppx_inline_test.v0.15.0
Processing 77/80: [ppx_expect: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ppx_expect" "-j" "255" (CWD=/home/opam/.opam/5.0/.opam-switch/build/ppx_expect.v0.15.1)
-> compiled  ppx_expect.v0.15.1
-> installed ppx_expect.v0.15.1
Processing 79/80: [OCanren-ppx: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "OCanren-ppx" "-j" "255" "@install" (CWD=/home/opam/.opam/5.0/.opam-switch/build/OCanren-ppx.0.3.0)
-> compiled  OCanren-ppx.0.3.0
-> installed OCanren-ppx.0.3.0
Done.
# Run eval $(opam env) to update the current shell environment
2023-01-16 12:16.16 ---> saved as "96187bb26f12a270234a12d7f92f558c39a7f2ef25218219e726d5dfc3f1317b"
Job succeeded